Name: compat-libcdio15
Version: 0.92
Release: 1%{?dist}
Summary: Compat package with libcdio libraries
Group: System Environment/Libraries
License: GPLv3+
URL: http://www.gnu.org/software/libcdio/
Source0: http://ftp.gnu.org/gnu/libcdio/libcdio-0.92.tar.gz
Source1: http://ftp.gnu.org/gnu/libcdio/libcdio-0.92.tar.gz.sig
Patch0: 02590813decacc76d5db5fd02042d6b99195bc46.patch
BuildRequires: pkgconfig doxygen
BuildRequires: ncurses-devel
BuildRequires: help2man
BuildRequires: gettext-devel
BuildRequires: chrpath

# Explicitly conflict with older libcdio packages that ship libraries
# with the same soname as this compat package
Conflicts: libcdio < 0.93

%description
Compatibility package with libcdio libraries ABI version 15.

%prep
%setup -q -n libcdio-%{version}
%patch0 -p1

%build
%configure \
	--disable-vcd-info \
	--disable-dependency-tracking \
	--disable-cddb \
	--disable-static \
	--disable-rpath
make %{?_smp_mflags}

%install
make install DESTDIR=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

# remove files that shouldn't go in the compat package
rm -rf $RPM_BUILD_ROOT%{_bindir}
rm -rf $RPM_BUILD_ROOT%{_includedir}
rm -rf $RPM_BUILD_ROOT%{_libdir}/libcdio.so
rm -rf $RPM_BUILD_ROOT%{_libdir}/libcdio++.so*
rm -rf $RPM_BUILD_ROOT%{_libdir}/libiso9660++.so*
rm -rf $RPM_BUILD_ROOT%{_libdir}/libiso9660.so*
rm -rf $RPM_BUILD_ROOT%{_libdir}/libudf.so*
rm -rf $RPM_BUILD_ROOT%{_libdir}/pkgconfig/
rm -rf $RPM_BUILD_ROOT%{_datadir}

# remove rpath
chrpath --delete $RPM_BUILD_ROOT%{_libdir}/*.so.*

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%license COPYING
%{_libdir}/libcdio.so.15*

%changelog
* Sat Apr 25 2015 Kalev Lember <kalevlember@gmail.com> - 0.92-1
- libcdio ABI version 15 compatibility package (#1215341)
